<div [class]="jobIndicatorClass ?? 'standard-job-indicator-container'">
  <mat-spinner
    color="primary"
    diameter="24"
    *ngIf="jobStatus === JOB_STATUS.Assembly
    || jobStatus === JOB_STATUS.Ready
    || jobStatus === JOB_STATUS.Scheduled
    || jobStatus === JOB_STATUS.Running">
  </mat-spinner>
  <mat-icon class="done-status" *ngIf="jobStatus === JOB_STATUS.Completed">
    done
  </mat-icon>
  <mat-icon class="failed-status" *ngIf="jobStatus === JOB_STATUS.Failed
  || jobStatus === JOB_STATUS.Timeout
  || jobStatus === JOB_STATUS.Error
  || jobStatus === JOB_STATUS.Incomplete">
    clear
  </mat-icon>
</div>
